diff --git a/gcc/sel-sched-ir.c b/gcc/sel-sched-ir.c
index f5a4ee0..ec6cbbd 100644
--- a/gcc/sel-sched-ir.c
+++ b/gcc/sel-sched-ir.c
@@ -608,7 +608,7 @@ init_fences (insn_t old_fence)
       if (first)
         first = false;
       else
-        gcc_assert (flag_sel_sched_pipelining_outer_loops);
+        gcc_assert (GCC_OPTION (flag_sel_sched_pipelining_outer_loops));
 
       flist_add (&fences, succ,
 		 state_create (),
@@ -4031,7 +4031,7 @@ get_seqno_for_a_jump (insn_t insn)
           succ_iterator si;
           bool first = true;
 
-	  gcc_assert (flag_sel_sched_pipelining_outer_loops
+	  gcc_assert (GCC_OPTION (flag_sel_sched_pipelining_outer_loops)
 		      && current_loop_nest);
           FOR_EACH_SUCC_1 (succ, si, insn,
                            SUCCS_NORMAL | SUCCS_SKIP_TO_LOOP_EXITS)
@@ -4789,7 +4789,7 @@ cfg_preds_1 (basic_block bb, insn_t **preds, int *n, int *size)
 
       if (!in_current_region_p (pred_bb))
 	{
-	  gcc_assert (flag_sel_sched_pipelining_outer_loops
+	  gcc_assert (GCC_OPTION (flag_sel_sched_pipelining_outer_loops)
 		      && current_loop_nest);
 	  continue;
 	}
@@ -4806,7 +4806,7 @@ cfg_preds_1 (basic_block bb, insn_t **preds, int *n, int *size)
     }
 
   gcc_assert (*n != 0
-	      || (flag_sel_sched_pipelining_outer_loops
+	      || (GCC_OPTION (flag_sel_sched_pipelining_outer_loops)
 		  && current_loop_nest));
 }
 
@@ -5046,7 +5046,7 @@ find_place_to_insert_bb (basic_block bb, int rgn)
 
   /* Recompute the top order -- needed when we have > 1 pred
      and in case we don't have preds outside.  */
-  if (flag_sel_sched_pipelining_outer_loops
+  if (GCC_OPTION (flag_sel_sched_pipelining_outer_loops)
       && (has_preds_outside_rgn || EDGE_COUNT (bb->preds) > 1))
     {
       int i, bbi = bb->index, cur_bbi;
@@ -5337,7 +5337,7 @@ sel_create_basic_block (void *headp, void *endp, basic_block after)
   basic_block new_bb;
   insn_t new_bb_note;
 
-  gcc_assert (flag_sel_sched_pipelining_outer_loops
+  gcc_assert (GCC_OPTION (flag_sel_sched_pipelining_outer_loops)
               || !last_added_blocks.exists ());
 
   new_bb_note = get_bb_note_from_pool ();
@@ -5473,7 +5473,7 @@ sel_split_edge (edge e)
   prev_max_uid = get_max_uid ();
   new_bb = split_edge (e);
 
-  if (flag_sel_sched_pipelining_outer_loops
+  if (GCC_OPTION (flag_sel_sched_pipelining_outer_loops)
       && current_loop_nest)
     {
       int i;
@@ -6233,7 +6233,7 @@ sel_find_rgns (void)
     {
       loop_p loop;
 
-      FOR_EACH_LOOP (loop, (flag_sel_sched_pipelining_outer_loops
+      FOR_EACH_LOOP (loop, (GCC_OPTION (flag_sel_sched_pipelining_outer_loops)
 			    ? LI_FROM_INNERMOST
 			    : LI_ONLY_INNERMOST))
 	make_regions_from_loop_nest (loop);
diff --git a/gcc/sel-sched-ir.h b/gcc/sel-sched-ir.h
index f63d571..098c6ca 100644
--- a/gcc/sel-sched-ir.h
+++ b/gcc/sel-sched-ir.h
@@ -1269,7 +1269,7 @@ _succ_iter_cond (succ_iterator *ip, rtx *succp, rtx insn,
 
               /* Consider bb as a possible loop header.  */
               if ((ip->flags & SUCCS_SKIP_TO_LOOP_EXITS)
-                  && flag_sel_sched_pipelining_outer_loops
+                  && GCC_OPTION (flag_sel_sched_pipelining_outer_loops)
 		  && (!in_current_region_p (bb)
 		      || BLOCK_TO_BB (ip->bb->index)
 			 < BLOCK_TO_BB (bb->index)))
@@ -1414,7 +1414,7 @@ _eligible_successor_edge_p (edge e1, succ_iterator *ip)
         {
           /* We are skipping to loop exits here.  */
           gcc_assert (!src_outside_rgn
-                      || flag_sel_sched_pipelining_outer_loops);
+                      || GCC_OPTION (flag_sel_sched_pipelining_outer_loops));
           return !!(flags & SUCCS_NORMAL);
         }
 
diff --git a/gcc/sel-sched.c b/gcc/sel-sched.c
index 241bdad..4486386 100644
--- a/gcc/sel-sched.c
+++ b/gcc/sel-sched.c
@@ -6889,7 +6889,7 @@ sel_setup_region_sched_flags (void)
   enable_schedule_as_rhs_p = 1;
   bookkeeping_p = 1;
   pipelining_p = (bookkeeping_p
-                  && (flag_sel_sched_pipelining != 0)
+                  && (GCC_OPTION (flag_sel_sched_pipelining) != 0)
 		  && current_loop_nest != NULL
 		  && loop_has_exit_edges (current_loop_nest));
   max_insns_to_rename = PARAM_VALUE (PARAM_SELSCHED_INSNS_TO_RENAME);
@@ -6965,7 +6965,7 @@ sel_region_init (int rgn)
 
   sel_init_bbs (bbs);
 
-  if (flag_sel_sched_pipelining)
+  if (GCC_OPTION (flag_sel_sched_pipelining))
     setup_current_loop_nest (rgn, &bbs);
 
   sel_setup_region_sched_flags ();
diff --git a/gcc/simplify-rtx.c b/gcc/simplify-rtx.c
index 04af01e..bfc5773 100644
--- a/gcc/simplify-rtx.c
+++ b/gcc/simplify-rtx.c
@@ -1127,7 +1127,7 @@ simplify_unary_operation_1 (enum rtx_code code, enum machine_mode mode, rtx op)
          (float_truncate:DF (float_extend:XF foo:SF))
          = (float_extend:SF foo:DF).  */
       if ((GET_CODE (op) == FLOAT_TRUNCATE
-	   && flag_unsafe_math_optimizations)
+	   && GCC_OPTION (flag_unsafe_math_optimizations))
 	  || GET_CODE (op) == FLOAT_EXTEND)
 	return simplify_gen_unary (GET_MODE_SIZE (GET_MODE (XEXP (op,
 							    0)))
@@ -1138,7 +1138,7 @@ simplify_unary_operation_1 (enum rtx_code code, enum machine_mode mode, rtx op)
 
       /*  (float_truncate (float x)) is (float x)  */
       if (GET_CODE (op) == FLOAT
-	  && (flag_unsafe_math_optimizations
+	  && (GCC_OPTION (flag_unsafe_math_optimizations)
 	      || (SCALAR_FLOAT_MODE_P (GET_MODE (op))
 		  && ((unsigned)significand_size (GET_MODE (op))
 		      >= (GET_MODE_PRECISION (GET_MODE (XEXP (op, 0)))
@@ -2374,7 +2374,7 @@ simplify_binary_operation_1 (enum rtx_code code, enum machine_mode mode,
       /* Reassociate floating point addition only when the user
 	 specifies associative math operations.  */
       if (FLOAT_MODE_P (mode)
-	  && flag_associative_math)
+	  && GCC_OPTION (flag_associative_math))
 	{
 	  tem = simplify_associative_operation (code, mode, op0, op1);
 	  if (tem)
@@ -2704,7 +2704,7 @@ simplify_binary_operation_1 (enum rtx_code code, enum machine_mode mode,
       /* Reassociate multiplication, but for floating point MULTs
 	 only when the user specifies unsafe math optimizations.  */
       if (! FLOAT_MODE_P (mode)
-	  || flag_unsafe_math_optimizations)
+	  || GCC_OPTION (flag_unsafe_math_optimizations))
 	{
 	  tem = simplify_associative_operation (code, mode, op0, op1);
 	  if (tem)
@@ -3249,7 +3249,7 @@ simplify_binary_operation_1 (enum rtx_code code, enum machine_mode mode,
 
 	      /* Change FP division by a constant into multiplication.
 		 Only do this with -freciprocal-math.  */
-	      if (flag_reciprocal_math
+	      if (GCC_OPTION (flag_reciprocal_math)
 		  && !REAL_VALUES_EQUAL (d, dconst0))
 		{
 		  REAL_ARITHMETIC (d, RDIV_EXPR, dconst1, d);
@@ -3896,11 +3896,11 @@ simplify_const_binary_operation (enum rtx_code code, enum machine_mode mode,
 
 	  if (code == DIV
 	      && REAL_VALUES_EQUAL (f1, dconst0)
-	      && (flag_trapping_math || ! MODE_HAS_INFINITIES (mode)))
+	      && (GCC_OPTION (flag_trapping_math) || ! MODE_HAS_INFINITIES (mode)))
 	    return 0;
 
 	  if (MODE_HAS_INFINITIES (mode) && HONOR_NANS (mode)
-	      && flag_trapping_math
+	      && GCC_OPTION (flag_trapping_math)
 	      && REAL_VALUE_ISINF (f0) && REAL_VALUE_ISINF (f1))
 	    {
 	      int s0 = REAL_VALUE_NEGATIVE (f0);
@@ -3927,7 +3927,7 @@ simplify_const_binary_operation (enum rtx_code code, enum machine_mode mode,
 	    }
 
 	  if (code == MULT && MODE_HAS_INFINITIES (mode) && HONOR_NANS (mode)
-	      && flag_trapping_math
+	      && GCC_OPTION (flag_trapping_math)
 	      && ((REAL_VALUE_ISINF (f0) && REAL_VALUES_EQUAL (f1, dconst0))
 		  || (REAL_VALUE_ISINF (f1)
 		      && REAL_VALUES_EQUAL (f0, dconst0))))
@@ -3941,7 +3941,7 @@ simplify_const_binary_operation (enum rtx_code code, enum machine_mode mode,
 	  /* Don't constant fold this floating point operation if
 	     the result has overflowed and flag_trapping_math.  */
 
-	  if (flag_trapping_math
+	  if (GCC_OPTION (flag_trapping_math)
 	      && MODE_HAS_INFINITIES (mode)
 	      && REAL_VALUE_ISINF (result)
 	      && !REAL_VALUE_ISINF (f0)
@@ -3954,8 +3954,8 @@ simplify_const_binary_operation (enum rtx_code code, enum machine_mode mode,
 	     flag_rounding_math is set, or if GCC's software emulation
 	     is unable to accurately represent the result.  */
 
-	  if ((flag_rounding_math
-	       || (MODE_COMPOSITE_P (mode) && !flag_unsafe_math_optimizations))
+	  if ((GCC_OPTION (flag_rounding_math)
+	       || (MODE_COMPOSITE_P (mode) && !GCC_OPTION (flag_unsafe_math_optimizations)))
 	      && (inexact || !real_identical (&result, &value)))
 	    return NULL_RTX;
 
@@ -4773,7 +4773,7 @@ simplify_relational_operation_1 (enum rtx_code code, enum machine_mode mode,
       && (op0code == PLUS || op0code == MINUS)
       && CONSTANT_P (op1)
       && CONSTANT_P (XEXP (op0, 1))
-      && (INTEGRAL_MODE_P (cmp_mode) || flag_unsafe_math_optimizations))
+      && (INTEGRAL_MODE_P (cmp_mode) || GCC_OPTION (flag_unsafe_math_optimizations)))
     {
       rtx x = XEXP (op0, 0);
       rtx c = XEXP (op0, 1);
@@ -5301,7 +5301,7 @@ simplify_const_relational_operation (enum rtx_code code,
 	  /* Optimize abs(x) < 0.0.  */
 	  if (!HONOR_SNANS (mode)
 	      && (!INTEGRAL_MODE_P (mode)
-		  || (!flag_wrapv && !flag_trapv && flag_strict_overflow)))
+		  || (!GCC_OPTION (flag_wrapv) && !GCC_OPTION (flag_trapv) && GCC_OPTION (flag_strict_overflow))))
 	    {
 	      if (INTEGRAL_MODE_P (mode)
 		  && (issue_strict_overflow_warning
@@ -5317,7 +5317,7 @@ simplify_const_relational_operation (enum rtx_code code,
 	  /* Optimize abs(x) >= 0.0.  */
 	  if (!HONOR_NANS (mode)
 	      && (!INTEGRAL_MODE_P (mode)
-		  || (!flag_wrapv && !flag_trapv && flag_strict_overflow)))
+		  || (!GCC_OPTION (flag_wrapv) && !GCC_OPTION (flag_trapv) && GCC_OPTION (flag_strict_overflow))))
 	    {
 	      if (INTEGRAL_MODE_P (mode)
 	          && (issue_strict_overflow_warning
diff --git a/gcc/stmt.c b/gcc/stmt.c
index 5d68edb..6d2bc8e 100644
--- a/gcc/stmt.c
+++ b/gcc/stmt.c
@@ -835,10 +835,10 @@ expand_switch_as_decision_tree_p (tree range,
      over-ruled us, we really have no choice.  */
   if (!HAVE_casesi && !HAVE_tablejump)
     return true;
-  if (!flag_jump_tables)
+  if (!GCC_OPTION (flag_jump_tables))
     return true;
 #ifndef ASM_OUTPUT_ADDR_DIFF_ELT
-  if (flag_pic)
+  if (GCC_OPTION (flag_pic))
     return true;
 #endif
 
@@ -1101,7 +1101,7 @@ emit_case_dispatch_table (tree index_expr, tree index_type,
   /* Output the table.  */
   emit_label (table_label);
 
-  if (CASE_VECTOR_PC_RELATIVE || flag_pic)
+  if (CASE_VECTOR_PC_RELATIVE || GCC_OPTION (flag_pic))
     emit_jump_table_data (gen_rtx_ADDR_DIFF_VEC (CASE_VECTOR_MODE,
 						 gen_rtx_LABEL_REF (Pmode,
 								    table_label),
@@ -1321,7 +1321,7 @@ expand_sjlj_dispatch_table (rtx dispatch_index,
      way" with decrement chain or dispatch table.  */
   if (dispatch_table.length () <= 5
       || (!HAVE_casesi && !HAVE_tablejump)
-      || !flag_jump_tables)
+      || !GCC_OPTION (flag_jump_tables))
     {
       /* Expand the dispatch as a decrement chain:
 
diff --git a/gcc/stor-layout.c b/gcc/stor-layout.c
index 084d195..c46c29a 100644
--- a/gcc/stor-layout.c
+++ b/gcc/stor-layout.c
@@ -664,7 +664,7 @@ layout_decl (tree decl, unsigned int known_align)
 	}
 
       if (zero_bitfield)
-        mfa = initial_max_fld_align * BITS_PER_UNIT;
+        mfa = GCC_OPTION (initial_max_fld_align) * BITS_PER_UNIT;
       else
 	mfa = maximum_field_alignment;
       /* Should this be controlled by DECL_USER_ALIGN, too?  */
@@ -680,14 +680,14 @@ layout_decl (tree decl, unsigned int known_align)
     DECL_SIZE_UNIT (decl) = variable_size (DECL_SIZE_UNIT (decl));
 
   /* If requested, warn about definitions of large data objects.  */
-  if (warn_larger_than
+  if (GCC_OPTION (warn_larger_than)
       && (code == VAR_DECL || code == PARM_DECL)
       && ! DECL_EXTERNAL (decl))
     {
       tree size = DECL_SIZE_UNIT (decl);
 
       if (size != 0 && TREE_CODE (size) == INTEGER_CST
-	  && compare_tree_int (size, larger_than_size) > 0)
+	  && compare_tree_int (size, GCC_OPTION (larger_than_size)) > 0)
 	{
 	  int size_as_int = TREE_INT_CST_LOW (size);
 
@@ -695,7 +695,7 @@ layout_decl (tree decl, unsigned int known_align)
 	    warning (OPT_Wlarger_than_, "size of %q+D is %d bytes", decl, size_as_int);
 	  else
 	    warning (OPT_Wlarger_than_, "size of %q+D is larger than %wd bytes",
-                     decl, larger_than_size);
+                     decl, GCC_OPTION (larger_than_size));
 	}
     }
 
@@ -980,9 +980,9 @@ update_alignment_for_field (record_layout_info rli, tree field,
 	     or packed attributes.  */
 	  if (integer_zerop (DECL_SIZE (field)))
 	    {
-	      if (initial_max_fld_align)
+	      if (GCC_OPTION (initial_max_fld_align))
 	        type_align = MIN (type_align,
-				  initial_max_fld_align * BITS_PER_UNIT);
+				  GCC_OPTION (initial_max_fld_align) * BITS_PER_UNIT);
 	    }
 	  else if (maximum_field_alignment != 0)
 	    type_align = MIN (type_align, maximum_field_alignment);
@@ -997,7 +997,7 @@ update_alignment_for_field (record_layout_info rli, tree field,
 	  rli->record_align = MAX (rli->record_align, desired_align);
 	  rli->record_align = MAX (rli->record_align, type_align);
 
-	  if (warn_packed)
+	  if (GCC_OPTION (warn_packed))
 	    rli->unpacked_align = MAX (rli->unpacked_align, TYPE_ALIGN (type));
 	  user_align |= TYPE_USER_ALIGN (type);
 	}
@@ -1128,7 +1128,7 @@ place_field (record_layout_info rli, tree field)
   if (known_align == 0)
     known_align = MAX (BIGGEST_ALIGNMENT, rli->record_align);
 
-  if (warn_packed && DECL_PACKED (field))
+  if (GCC_OPTION (warn_packed) && DECL_PACKED (field))
     {
       if (known_align >= TYPE_ALIGN (type))
 	{
@@ -1215,7 +1215,7 @@ place_field (record_layout_info rli, tree field)
 	{
 	  if (DECL_PACKED (field))
 	    {
-	      if (warn_packed_bitfield_compat == 1)
+	      if (GCC_OPTION (warn_packed_bitfield_compat) == 1)
 		inform
 		  (input_location,
 		   "offset of packed bit-field %qD has changed in GCC 4.4",
@@ -1526,7 +1526,7 @@ finalize_record_size (record_layout_info rli)
       && input_location != BUILTINS_LOCATION)
     warning (OPT_Wpadded, "padding struct size to alignment boundary");
 
-  if (warn_packed && TREE_CODE (rli->t) == RECORD_TYPE
+  if (GCC_OPTION (warn_packed) && TREE_CODE (rli->t) == RECORD_TYPE
       && TYPE_PACKED (rli->t) && ! rli->packed_maybe_necessary
       && TREE_CONSTANT (unpadded_size))
     {
diff --git a/gcc/store-motion.c b/gcc/store-motion.c
index f383ca5..498f808 100644
--- a/gcc/store-motion.c
+++ b/gcc/store-motion.c
@@ -1226,7 +1226,7 @@ one_store_motion_pass (void)
 static bool
 gate_rtl_store_motion (void)
 {
-  return optimize > 0 && flag_gcse_sm
+  return GCC_OPTION (optimize) > 0 && GCC_OPTION (flag_gcse_sm)
     && !cfun->calls_setjmp
     && optimize_function_for_speed_p (cfun)
     && dbg_cnt (store_motion);
diff --git a/gcc/symtab.c b/gcc/symtab.c
index 2d6f665..ef548eb 100644
--- a/gcc/symtab.c
+++ b/gcc/symtab.c
@@ -360,7 +360,7 @@ symtab_unregister_node (symtab_node *node)
 
   /* During LTO symtab merging we temporarily corrupt decl to symtab node
      hash.  */
-  gcc_assert ((slot && *slot) || in_lto_p);
+  gcc_assert ((slot && *slot) || GCC_OPTION (in_lto_p));
   if (slot && *slot && *slot == node)
     {
       symtab_node *replacement_node = NULL;
@@ -390,7 +390,7 @@ symtab_get_node (const_tree decl)
   gcc_checking_assert (TREE_CODE (decl) == FUNCTION_DECL
 		       || (TREE_CODE (decl) == VAR_DECL
 			   && (TREE_STATIC (decl) || DECL_EXTERNAL (decl)
-			       || in_lto_p)));
+			       || GCC_OPTION (in_lto_p))));
 #endif
 
   if (!symtab_hash)
diff --git a/gcc/targhooks.c b/gcc/targhooks.c
index 79491c7..ee017c1 100644
--- a/gcc/targhooks.c
+++ b/gcc/targhooks.c
@@ -107,7 +107,7 @@ default_unspec_may_trap_p (const_rtx x, unsigned flags)
   int i;
 
   /* Any floating arithmetic may trap.  */
-  if ((SCALAR_FLOAT_MODE_P (GET_MODE (x)) && flag_trapping_math))
+  if ((SCALAR_FLOAT_MODE_P (GET_MODE (x)) && GCC_OPTION (flag_trapping_math)))
     return 1;
 
   for (i = 0; i < XVECLEN (x, 0); ++i)
@@ -721,7 +721,7 @@ default_hidden_stack_protect_fail (void)
 #else
   tree t = stack_chk_fail_decl;
 
-  if (!flag_pic)
+  if (!GCC_OPTION (flag_pic))
     return default_external_stack_protect_fail ();
 
   if (t == NULL_TREE)
@@ -980,7 +980,7 @@ default_secondary_reload (bool in_p ATTRIBUTE_UNUSED, rtx x ATTRIBUTE_UNUSED,
 int
 default_reloc_rw_mask (void)
 {
-  return flag_pic ? 3 : 0;
+  return GCC_OPTION (flag_pic) ? 3 : 0;
 }
 
 /* By default, do no modification. */
@@ -1431,7 +1431,7 @@ default_debug_unwind_info (void)
 
   /* Otherwise, only turn it on if dwarf2 debugging is enabled.  */
 #ifdef DWARF2_DEBUGGING_INFO
-  if (write_symbols == DWARF2_DEBUG || write_symbols == VMS_AND_DWARF2_DEBUG)
+  if (GCC_OPTION (write_symbols) == DWARF2_DEBUG || GCC_OPTION (write_symbols) == VMS_AND_DWARF2_DEBUG)
     return UI_DWARF2;
 #endif
 
@@ -1458,7 +1458,7 @@ option_affects_pch_p (int option, struct cl_option_state *state)
     return false;
   if ((cl_options[option].flags & CL_PCH_IGNORE) != 0)
     return false;
-  if (option_flag_var (option, &global_options) == &target_flags)
+  if (option_flag_var (option, &global_options) == &GCC_OPTION (target_flags))
     if (targetm.check_pch_target_flags)
       return false;
   return get_option_state (&global_options, option, state);
@@ -1477,19 +1477,19 @@ default_get_pch_validity (size_t *sz)
 
   *sz = 2;
   if (targetm.check_pch_target_flags)
-    *sz += sizeof (target_flags);
+    *sz += sizeof (GCC_OPTION (target_flags));
   for (i = 0; i < cl_options_count; i++)
     if (option_affects_pch_p (i, &state))
       *sz += state.size;
 
   result = r = XNEWVEC (char, *sz);
-  r[0] = flag_pic;
-  r[1] = flag_pie;
+  r[0] = GCC_OPTION (flag_pic);
+  r[1] = GCC_OPTION (flag_pie);
   r += 2;
   if (targetm.check_pch_target_flags)
     {
-      memcpy (r, &target_flags, sizeof (target_flags));
-      r += sizeof (target_flags);
+      memcpy (r, &GCC_OPTION (target_flags), sizeof (GCC_OPTION (target_flags)));
+      r += sizeof (GCC_OPTION (target_flags));
     }
 
   for (i = 0; i < cl_options_count; i++)
@@ -1526,9 +1526,9 @@ default_pch_valid_p (const void *data_p, size_t len)
   size_t i;
 
   /* -fpic and -fpie also usually make a PCH invalid.  */
-  if (data[0] != flag_pic)
+  if (data[0] != GCC_OPTION (flag_pic))
     return _("created and used with different settings of -fpic");
-  if (data[1] != flag_pie)
+  if (data[1] != GCC_OPTION (flag_pie))
     return _("created and used with different settings of -fpie");
   data += 2;
 
@@ -1538,9 +1538,9 @@ default_pch_valid_p (const void *data_p, size_t len)
       int tf;
       const char *r;
 
-      memcpy (&tf, data, sizeof (target_flags));
-      data += sizeof (target_flags);
-      len -= sizeof (target_flags);
+      memcpy (&tf, data, sizeof (GCC_OPTION (target_flags)));
+      data += sizeof (GCC_OPTION (target_flags));
+      len -= sizeof (GCC_OPTION (target_flags));
       r = targetm.check_pch_target_flags (tf);
       if (r != NULL)
 	return r;
